/**
 * Determines if two ranges overlap.
 *
 * @param {T} start1 - The start value of the first range.
 * @param {T} end1 - The end value of the first range.
 * @param {T} start2 - The start value of the second range.
 * @param {T} end2 - The end value of the second range.
 * @return {boolean} True if the ranges overlap, false otherwise.
 */
export declare function Overlap<T extends number | Date | bigint>(start1: T, end1: T, start2: T, end2: T): boolean;
